org.apache.lucene.luke.models.util.twentynewsgroups

## Class Message

- java.lang.Object
- - org.apache.lucene.luke.models.util.twentynewsgroups.Message

-     public class Message
      extends Object

  Data holder class for a newsgroups message

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Analyzer` | `createLuceneAnalyzer()`
    `String` | `getBody()`
    `String` | `getDate()`
    `String` | `getFrom()`
    `int` | `getLines()`
    `String` | `getMessageId()`
    `String[]` | `getNewsgroups()`
    `String` | `getOrganization()`
    `String` | `getSubject()`
    `void` | `setBody(String body)`
    `void` | `setDate(String date)`
    `void` | `setFrom(String from)`
    `void` | `setLines(int lines)`
    `void` | `setMessageId(String messageId)`
    `void` | `setNewsgroups(String[] newsgroups)`
    `void` | `setOrganization(String organization)`
    `void` | `setSubject(String subject)`
    `Document` | `toLuceneDoc()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getFrom

          public String getFrom()

    - #### setFrom

          public void setFrom(String from)

    - #### getNewsgroups

          public String[] getNewsgroups()

    - #### setNewsgroups

          public void setNewsgroups(String[] newsgroups)

    - #### getSubject

          public String getSubject()

    - #### setSubject

          public void setSubject(String subject)

    - #### getMessageId

          public String getMessageId()

    - #### setMessageId

          public void setMessageId(String messageId)

    - #### getDate

          public String getDate()

    - #### setDate

          public void setDate(String date)

    - #### getOrganization

          public String getOrganization()

    - #### setOrganization

          public void setOrganization(String organization)

    - #### getBody

          public String getBody()

    - #### setBody

          public void setBody(String body)

    - #### getLines

          public int getLines()

    - #### setLines

          public void setLines(int lines)

    - #### toLuceneDoc

          public Document toLuceneDoc()

    - #### createLuceneAnalyzer

          public static Analyzer createLuceneAnalyzer()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.